Loading...
Searching...
No Matches
itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue > Class Template Reference
Common » Miscellaneous

`#include <itkListSampleCArray.h>`

## Detailed Description

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>
class itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >

A ListSampleBase that internally uses a CArray, which can be accessed.

This class is useful if some function expects a c-array, but you would like to keep things as much as possible in the itk::Statistics-framework.

Todo
  : the second template argument should be removed, since the GetMeasurementVector method is incorrect when TMeasurementVector::ValueType != TInternalValue.

Definition at line 45 of file itkListSampleCArray.h.

Inheritance diagram for itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | InternalDataContainerType = InternalDataType *
using | InternalDataType = InternalValueType *
using | InternalValueType = TInternalValue
using | Pointer = SmartPointer<Self>
using | Self = ListSampleCArray
using | Superclass = Sample<TMeasurementVector>

## Public Member Functions

void | Clear ()
unsigned long | GetActualSize ()
virtual const char * | GetClassName () const
AbsoluteFrequencyType | GetFrequency (InstanceIdentifier id) const override
virtual InternalDataContainerType | GetInternalContainer () const
const MeasurementVectorType & | GetMeasurementVector (InstanceIdentifier id) const override
void | GetMeasurementVector (InstanceIdentifier id, MeasurementVectorType &mv) const
TotalAbsoluteFrequencyType | GetTotalFrequency () const override
| ITK_DISALLOW_COPY_AND_MOVE (ListSampleCArray)
void | Resize (unsigned long n)
void | SetActualSize (unsigned long n)
void | SetMeasurement (InstanceIdentifier id, unsigned int dim, const MeasurementType &value)
void | SetMeasurementVector (InstanceIdentifier id, const MeasurementVectorType &mv)
InstanceIdentifier | Size () const override

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| ListSampleCArray ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~ListSampleCArray () override

## Private Member Functions

void | AllocateInternalContainer (unsigned long size, unsigned int dim)
void | DeallocateInternalContainer ()

## Private Attributes

InstanceIdentifier | m_ActualSize {}
InternalDataContainerType | m_InternalContainer {}
InstanceIdentifier | m_InternalContainerSize {}
MeasurementVectorType | m_TemporaryMeasurementVector {}

## Member Typedef Documentation

## ConstPointer

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::ConstPointer = SmartPointer<const Self>

Definition at line 54 of file itkListSampleCArray.h.

## InternalDataContainerType

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::InternalDataContainerType = InternalDataType *

Definition at line 73 of file itkListSampleCArray.h.

## InternalDataType

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::InternalDataType = InternalValueType *

Definition at line 72 of file itkListSampleCArray.h.

## InternalValueType

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::InternalValueType = TInternalValue

Typedef's for the internal data container.

Definition at line 71 of file itkListSampleCArray.h.

## Pointer

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::Pointer = SmartPointer<Self>

Definition at line 53 of file itkListSampleCArray.h.

## Self

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::Self = ListSampleCArray

Standard itk.

Definition at line 51 of file itkListSampleCArray.h.

## Superclass

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

using itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::Superclass = Sample<TMeasurementVector>

Definition at line 52 of file itkListSampleCArray.h.

## Constructor & Destructor Documentation

## ListSampleCArray()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::ListSampleCArray | ( |  | ) |

protected

## ~ListSampleCArray()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::~ListSampleCArray | ( |  | ) |

override protected

## Member Function Documentation

## AllocateInternalContainer()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::AllocateInternalContainer | ( | unsigned long | size,
|  | unsigned int | dim )

private

Function to allocate the memory of the data container.

## Clear()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::Clear | ( |  | ) |

Function to clear the data container.

## DeallocateInternalContainer()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::DeallocateInternalContainer | ( |  | ) |

private

Function to deallocate the memory of the data container.

## GetActualSize()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

unsigned long itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetActualSize | ( |  | ) |

Function to get the actual (not the allocated) size of the data container.

## GetClassName()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

virtual const char * itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetClassName | ( |  | ) | const

virtual

ITK type info

## GetFrequency()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

AbsoluteFrequencyType itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetFrequency | ( | InstanceIdentifier | id | ) | const

override

Function to get the frequency of point i. 1.0 if it exist, 0.0 otherwise.

## GetInternalContainer()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

virtual InternalDataContainerType itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetInternalContainer | ( |  | ) | const

virtual

Macro to get the internal data container.

## GetMeasurementVector() [1/2]

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

const MeasurementVectorType & itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetMeasurementVector | ( | InstanceIdentifier | id | ) | const

override

Function to get a point from the data container. NB: the reference to the returned value remains only valid until the next call to this function. The method GetMeasurementVector( const InstanceIdentifier &id, MeasurementVectorType & mv) is actually a preferred way to get a measurement vector.

## GetMeasurementVector() [2/2]

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetMeasurementVector | ( | InstanceIdentifier | id,
|  | MeasurementVectorType & | mv ) const

Function to get a point from the data container.

## GetTotalFrequency()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

TotalAbsoluteFrequencyType itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::GetTotalFrequency | ( |  | ) | const

inline override

Function to get the total frequency.

Definition at line 129 of file itkListSampleCArray.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::ITK_DISALLOW_COPY_AND_MOVE | ( | ListSampleCArray< TMeasurementVector, TInternalValue > |  | ) |

## New()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

Pointer itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::New | ( |  | ) |

static

New method for creating an object using a factory.

## PrintSelf()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## Resize()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::Resize | ( | unsigned long | n | ) |

Function to resize the data container.

## SetActualSize()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::SetActualSize | ( | unsigned long | n | ) |

Function to set the actual (not the allocated) size of the data container.

## SetMeasurement()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::SetMeasurement | ( | InstanceIdentifier | id,
|  | unsigned int | dim,
|  | const MeasurementType & | value )

Function to set part of a point (measurement) in the data container.

## SetMeasurementVector()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

void itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::SetMeasurementVector | ( | InstanceIdentifier | id,
|  | const MeasurementVectorType & | mv )

Function to set a point (measurement vector) in the data container.

## Size()

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

InstanceIdentifier itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::Size | ( |  | ) | const

inline override

Function to get the size of the data container.

Definition at line 96 of file itkListSampleCArray.h.

## Field Documentation

## m_ActualSize

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

InstanceIdentifier itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::m_ActualSize {}

private

Definition at line 145 of file itkListSampleCArray.h.

## m_InternalContainer

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

InternalDataContainerType itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::m_InternalContainer {}

private

The internal storage of the data in a C array.

Definition at line 143 of file itkListSampleCArray.h.

## m_InternalContainerSize

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

InstanceIdentifier itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::m_InternalContainerSize {}

private

Definition at line 144 of file itkListSampleCArray.h.

## m_TemporaryMeasurementVector

template<class TMeasurementVector, class TInternalValue = typename TMeasurementVector::ValueType>

MeasurementVectorType itk::Statistics::ListSampleCArray< TMeasurementVector, TInternalValue >::m_TemporaryMeasurementVector {}

mutable private

Dummy needed for GetMeasurementVector().

Definition at line 148 of file itkListSampleCArray.h.

Generated on 1768596610 for elastix by 1.15.0 |